[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: pbuilder on sarge

On Mon, Jul 10, 2006 at 11:54:43AM +0200, Thibaut Paumard wrote:
> > E: Couldn't download slang1a-utf8
> > pbuilder: debootstrap failed
> Use pbuilder and cdebootstrap from http://www.backports.org/ .
> To do that, put:
>  deb http://www.backports.org/debian/ sarge-backports main
> in your /etc/apt/sources.list .
> Then add the following to /etc/apt/preferences :
> Package: *
> 8<--------------------------------
> Pin: release a=sarge-backports 
> Pin-Priority: 200

> Package: cdebootstrap
> Pin: release a=sarge-backports
> Pin-Priority: 999
> Package: pbuilder
> Pin: release a=sarge-backports
> Pin-Priority: 999
uhm, why?

The whole point of setting the priority at 200 when the default
source is at 500 is to say:
"don't select these packages automatically, but once I install any of
them, keep tracking them until a source of higher priority catches up".

> Then run 
> apt-get update
> apt-get install pbuilder cdeboostrap
You would have to specify -t sarge-backports once; but then you won't
have your /etc/apt/preferences cluttered and this exception will be
automatically removed once the version in stable reaches the one you
have installed. 

Both solutions have different semantics, but the former will stick to
sarge-backports forever, and I doubt if that's what you want.

Cheers and schtuff,
1KB		// Microsoft corollary to Hanlon's razor:
		//	Never attribute to stupidity what can be
		//	adequately explained by malice.

Reply to: